echo off
echo Borrado de ficheros destino
del .\html\Prueba1.html 
del .\owl\Prueba1.owl
del .\html\Prueba2.html 
del .\owl\Prueba2.owl
pause

echo.
echo Prueba 1: numero de argumentos incorrectos
echo.
java -cp CUP_10k.jar;. parser Combinations_1.pgn
echo.
pause 

echo.
echo Prueba 2: extension de fichero fuente incorrecta
echo.
java -cp CUP_10k.jar;. parser ExtensionIncorrecta.png GPAHSPlantilla.html ChessPosition.owl Position true
echo.
pause 

echo.
echo Prueba 3: fichero fuente no existe 
echo.
java -cp CUP_10k.jar;. parser Noexiste.pgn GPAHSPlantilla.httl ChessPosition.owl Position true
echo.
pause

echo.
echo Prueba 4: extension plantilla HTML incorrecta
echo.
java -cp CUP_10k.jar;. parser 1001Reinfeld.pgn GPAHSPlantilla.httl ChessPosition.owl Position true
echo.
pause

echo.
echo Prueba 5: plantilla HTML no existe
echo.
java -cp CUP_10k.jar;. parser 1001Reinfeld.pgn GPAHSPlantillaNoExiste.html ChessPosition.owl Position true
echo.
pause 

echo.
echo Prueba 6: extension plantilla OWL incorrecta
echo.
java -cp CUP_10k.jar;. parser 1001Reinfeld.pgn GPAHSPlantilla.html ChessPosition.pwl Position true
echo.
pause 

echo.
echo Prueba 7: plantilla OWL no existe
echo.
java -cp CUP_10k.jar;. parser 1001Reinfeld.pgn GPAHSPlantilla.html ChessPositionNoExiste.owl Position true
echo.
pause 

echo.
echo Prueba 8: posicion tactica no valida
echo.
java -cp CUP_10k.jar;. parser 1001Reinfeld.pgn GPAHSPlantilla.html ChessPosition.owl PositionNoValida true
echo.
pause 

echo.
echo Prueba 9: tipo de traza no valido
echo.
java -cp CUP_10k.jar;. parser 1001Reinfeld.pgn GPAHSPlantilla.html ChessPosition.owl Position trueNoValido
echo.
pause 

echo.
echo Prueba 10: activacion de la traza por consola
echo.
java -cp CUP_10k.jar;. parser Prueba1.pgn GPAHSPlantilla.html ChessPosition.owl Position true
echo.
pause 

echo.
echo Prueba 11: conversion de caracteres no tratables por Protege
echo.
java -cp CUP_10k.jar;. parser Prueba2.pgn GPAHSPlantilla.html ChessPosition.owl Position true
echo.
pause 