import java.io.*;
import java.util.*;
import java.text.*;
import java_cup.runtime.Symbol;
class Game {
    String event;
    String site;
    String date;
    String round;
    String white;
    String black;
    String result;
    String whiteTitle;
    String blackTitle;
    String whiteElo;
    String blackElo;
    String whiteUSCF;
    String blackUSCF;
    String whiteNA;
    String blackNA;
    String whiteType;
    String blackType;
    String eventDate;
    String eventType;
    String eventCountry;
    String eventRounds;
    String eventSponsor;
    String section;
    String stage;
    String board;
    String opening;
    String variation;
    String subVariation;
    String eco;
    String nic;
    String time;
    String utcTime;
    String utcDate;
    String timeControl;
    String setUp;
    String fen;
    String termination;
    String annotator;
    String mode;
    String plyCount;
    String emaWhite;
    String emaBlack;
    String move;
    public Game () {
        this.event = null;
        this.site = null;
        this.date = null;
        this.round = null;
        this.white = null;
        this.black = null;
        this.result = null;
        this.whiteTitle = null;
        this.blackTitle = null;
        this.whiteElo = null;
        this.blackElo = null;
        this.whiteUSCF = null;
        this.blackUSCF = null;
        this.whiteNA = null;
        this.blackNA = null;
        this.whiteType = null;
        this.blackType = null;
        this.eventDate = null;
        this.eventType = null;
        this.eventCountry = null;
        this.eventRounds = null;
        this.eventSponsor = null;
        this.section = null;
        this.stage = null;
        this.board = null;
        this.opening = null;
        this.variation = null;
        this.subVariation = null;
        this.eco = null;
        this.nic = null;
        this.time = null;
        this.utcTime = null;
        this.utcDate = null;
        this.timeControl = null;
        this.setUp = null;
        this.fen = null;
        this.termination = null;
        this.annotator = null;
        this.mode = null;
        this.plyCount = null;
        this.emaWhite = null;
        this.emaBlack = null;
        this.move = null;
    }
}
class TablaGames extends LinkedHashMap {
  public void ShowContenido() {
    Enumeration en;
    System.out.println("");
    Iterator it = this.keySet().iterator();
    while (it.hasNext()) {
      String key = (String) it.next();
      Game gm = (Game) this.get(key);
      System.out.println ("Event .........: " + gm.event);
      System.out.println ("Site ..........: " + gm.site);
      System.out.println ("Date ..........: " + gm.date);
      System.out.println ("Round .........: " + gm.round);
      System.out.println ("White .........: " + gm.white);
      System.out.println ("Black .........: " + gm.black);
      System.out.println ("Result ........: " + gm.result);
      System.out.println ("WhiteTitle ....: " + gm.whiteTitle);
      System.out.println ("BlackTitle ....: " + gm.blackTitle);
      System.out.println ("WhiteElo ......: " + gm.whiteElo);
      System.out.println ("BlackElo ......: " + gm.blackElo);
      System.out.println ("whiteUSCF .....: " + gm.whiteUSCF);
      System.out.println ("BlackUSCF .....: " + gm.blackUSCF);
      System.out.println ("WhiteNA .......: " + gm.whiteNA);
      System.out.println ("BlackNA .......: " + gm.blackNA);
      System.out.println ("WhiteType .....: " + gm.whiteType);
      System.out.println ("BlackType .....: " + gm.blackType);
      System.out.println ("EventDate .....: " + gm.eventDate);
      System.out.println ("EventType .....: " + gm.eventType);
      System.out.println ("EventCountry ..: " + gm.eventCountry);
      System.out.println ("EventRounds ...: " + gm.eventRounds);
      System.out.println ("EventSponsor ..: " + gm.eventSponsor);
      System.out.println ("Section .......: " + gm.section);
      System.out.println ("Stage .........: " + gm.stage);
      System.out.println ("Board .........: " + gm.board);
      System.out.println ("Opening .......: " + gm.opening);
      System.out.println ("Variation .....: " + gm.variation);
      System.out.println ("SubVariation ..: " + gm.subVariation);
      System.out.println ("ECO ...........: " + gm.eco);
      System.out.println ("NIC ...........: " + gm.nic);
      System.out.println ("Time ..........: " + gm.time);
      System.out.println ("UTCTime .......: " + gm.utcTime);
      System.out.println ("UTCDate .......: " + gm.utcDate);
      System.out.println ("TimeControl ...: " + gm.timeControl);
      System.out.println ("SetUp .........: " + gm.setUp);
      System.out.println ("FEN ...........: " + gm.fen);
      System.out.println ("Termination ...: " + gm.termination);
      System.out.println ("Annotator .....: " + gm.annotator);
      System.out.println ("Mode ..........: " + gm.mode);
      System.out.println ("PlyCount ......: " + gm.plyCount);
      System.out.println ("EmaWhite ......: " + gm.emaWhite);
      System.out.println ("EmaBlack ......: " + gm.emaBlack);
      System.out.println ("Move ..........: " + gm.move);
      System.out.println ("");
    }
  }
}


class lexGPAHS implements java_cup.runtime.Scanner {
	private final int YY_BUFFER_SIZE = 512;
	private final int YY_F = -1;
	private final int YY_NO_STATE = -1;
	private final int YY_NOT_ACCEPT = 0;
	private final int YY_START = 1;
	private final int YY_END = 2;
	private final int YY_NO_ANCHOR = 4;
	private final int YY_BOL = 256;
	private final int YY_EOF = 257;

	public int getLine(){
		return yyline;
	}
	private java.io.BufferedReader yy_reader;
	private int yy_buffer_index;
	private int yy_buffer_read;
	private int yy_buffer_start;
	private int yy_buffer_end;
	private char yy_buffer[];
	private int yychar;
	private int yyline;
	private boolean yy_at_bol;
	private int yy_lexical_state;

	lexGPAHS (java.io.Reader reader) {
		this ();
		if (null == reader) {
			throw (new Error("Error: Bad input stream initializer."));
		}
		yy_reader = new java.io.BufferedReader(reader);
	}

	lexGPAHS (java.io.InputStream instream) {
		this ();
		if (null == instream) {
			throw (new Error("Error: Bad input stream initializer."));
		}
		yy_reader = new java.io.BufferedReader(new java.io.InputStreamReader(instream));
	}

	private lexGPAHS () {
		yy_buffer = new char[YY_BUFFER_SIZE];
		yy_buffer_read = 0;
		yy_buffer_index = 0;
		yy_buffer_start = 0;
		yy_buffer_end = 0;
		yychar = 0;
		yyline = 0;
		yy_at_bol = true;
		yy_lexical_state = YYINITIAL;
	}

	private boolean yy_eof_done = false;
	private final int YYINITIAL = 0;
	private final int MOVE = 1;
	private final int yy_state_dtrans[] = {
		0,
		54
	};
	private void yybegin (int state) {
		yy_lexical_state = state;
	}
	private int yy_advance ()
		throws java.io.IOException {
		int next_read;
		int i;
		int j;

		if (yy_buffer_index < yy_buffer_read) {
			return yy_buffer[yy_buffer_index++];
		}

		if (0 != yy_buffer_start) {
			i = yy_buffer_start;
			j = 0;
			while (i < yy_buffer_read) {
				yy_buffer[j] = yy_buffer[i];
				++i;
				++j;
			}
			yy_buffer_end = yy_buffer_end - yy_buffer_start;
			yy_buffer_start = 0;
			yy_buffer_read = j;
			yy_buffer_index = j;
			next_read = yy_reader.read(yy_buffer,
					yy_buffer_read,
					yy_buffer.length - yy_buffer_read);
			if (-1 == next_read) {
				return YY_EOF;
			}
			yy_buffer_read = yy_buffer_read + next_read;
		}

		while (yy_buffer_index >= yy_buffer_read) {
			if (yy_buffer_index >= yy_buffer.length) {
				yy_buffer = yy_double(yy_buffer);
			}
			next_read = yy_reader.read(yy_buffer,
					yy_buffer_read,
					yy_buffer.length - yy_buffer_read);
			if (-1 == next_read) {
				return YY_EOF;
			}
			yy_buffer_read = yy_buffer_read + next_read;
		}
		return yy_buffer[yy_buffer_index++];
	}
	private void yy_move_end () {
		if (yy_buffer_end > yy_buffer_start &&
		    '\n' == yy_buffer[yy_buffer_end-1])
			yy_buffer_end--;
		if (yy_buffer_end > yy_buffer_start &&
		    '\r' == yy_buffer[yy_buffer_end-1])
			yy_buffer_end--;
	}
	private boolean yy_last_was_cr=false;
	private void yy_mark_start () {
		int i;
		for (i = yy_buffer_start; i < yy_buffer_index; ++i) {
			if ('\n' == yy_buffer[i] && !yy_last_was_cr) {
				++yyline;
			}
			if ('\r' == yy_buffer[i]) {
				++yyline;
				yy_last_was_cr=true;
			} else yy_last_was_cr=false;
		}
		yychar = yychar
			+ yy_buffer_index - yy_buffer_start;
		yy_buffer_start = yy_buffer_index;
	}
	private void yy_mark_end () {
		yy_buffer_end = yy_buffer_index;
	}
	private void yy_to_mark () {
		yy_buffer_index = yy_buffer_end;
		yy_at_bol = (yy_buffer_end > yy_buffer_start) &&
		            ('\r' == yy_buffer[yy_buffer_end-1] ||
		             '\n' == yy_buffer[yy_buffer_end-1] ||
		             2028/*LS*/ == yy_buffer[yy_buffer_end-1] ||
		             2029/*PS*/ == yy_buffer[yy_buffer_end-1]);
	}
	private java.lang.String yytext () {
		return (new java.lang.String(yy_buffer,
			yy_buffer_start,
			yy_buffer_end - yy_buffer_start));
	}
	private int yylength () {
		return yy_buffer_end - yy_buffer_start;
	}
	private char[] yy_double (char buf[]) {
		int i;
		char newbuf[];
		newbuf = new char[2*buf.length];
		for (i = 0; i < buf.length; ++i) {
			newbuf[i] = buf[i];
		}
		return newbuf;
	}
	private final int YY_E_INTERNAL = 0;
	private final int YY_E_MATCH = 1;
	private java.lang.String yy_error_string[] = {
		"Error: Internal error.\n",
		"Error: Unmatched input.\n"
	};
	private void yy_error (int code,boolean fatal) {
		java.lang.System.out.print(yy_error_string[code]);
		java.lang.System.out.flush();
		if (fatal) {
			throw new Error("Fatal Error.\n");
		}
	}
	private int[][] unpackFromString(int size1, int size2, String st) {
		int colonIndex = -1;
		String lengthString;
		int sequenceLength = 0;
		int sequenceInteger = 0;

		int commaIndex;
		String workString;

		int res[][] = new int[size1][size2];
		for (int i= 0; i < size1; i++) {
			for (int j= 0; j < size2; j++) {
				if (sequenceLength != 0) {
					res[i][j] = sequenceInteger;
					sequenceLength--;
					continue;
				}
				commaIndex = st.indexOf(',');
				workString = (commaIndex==-1) ? st :
					st.substring(0, commaIndex);
				st = st.substring(commaIndex+1);
				colonIndex = workString.indexOf(':');
				if (colonIndex == -1) {
					res[i][j]=Integer.parseInt(workString);
					continue;
				}
				lengthString =
					workString.substring(colonIndex+1);
				sequenceLength=Integer.parseInt(lengthString);
				workString=workString.substring(0,colonIndex);
				sequenceInteger=Integer.parseInt(workString);
				res[i][j] = sequenceInteger;
				sequenceLength--;
			}
		}
		return res;
	}
	private int yy_acpt[] = {
		/* 0 */ YY_NO_ANCHOR,
		/* 1 */ YY_NO_ANCHOR,
		/* 2 */ YY_NO_ANCHOR,
		/* 3 */ YY_NO_ANCHOR,
		/* 4 */ YY_NO_ANCHOR,
		/* 5 */ YY_NO_ANCHOR,
		/* 6 */ YY_NO_ANCHOR,
		/* 7 */ YY_NOT_ACCEPT,
		/* 8 */ YY_NO_ANCHOR,
		/* 9 */ YY_NO_ANCHOR,
		/* 10 */ YY_NO_ANCHOR,
		/* 11 */ YY_NO_ANCHOR,
		/* 12 */ YY_NO_ANCHOR,
		/* 13 */ YY_NO_ANCHOR,
		/* 14 */ YY_NO_ANCHOR,
		/* 15 */ YY_NO_ANCHOR,
		/* 16 */ YY_NO_ANCHOR,
		/* 17 */ YY_NO_ANCHOR,
		/* 18 */ YY_NO_ANCHOR,
		/* 19 */ YY_NO_ANCHOR,
		/* 20 */ YY_NO_ANCHOR,
		/* 21 */ YY_NO_ANCHOR,
		/* 22 */ YY_NO_ANCHOR,
		/* 23 */ YY_NO_ANCHOR,
		/* 24 */ YY_NO_ANCHOR,
		/* 25 */ YY_NO_ANCHOR,
		/* 26 */ YY_NO_ANCHOR,
		/* 27 */ YY_NO_ANCHOR,
		/* 28 */ YY_NO_ANCHOR,
		/* 29 */ YY_NO_ANCHOR,
		/* 30 */ YY_NO_ANCHOR,
		/* 31 */ YY_NO_ANCHOR,
		/* 32 */ YY_NO_ANCHOR,
		/* 33 */ YY_NO_ANCHOR,
		/* 34 */ YY_NO_ANCHOR,
		/* 35 */ YY_NO_ANCHOR,
		/* 36 */ YY_NO_ANCHOR,
		/* 37 */ YY_NO_ANCHOR,
		/* 38 */ YY_NO_ANCHOR,
		/* 39 */ YY_NO_ANCHOR,
		/* 40 */ YY_NO_ANCHOR,
		/* 41 */ YY_NO_ANCHOR,
		/* 42 */ YY_NO_ANCHOR,
		/* 43 */ YY_NO_ANCHOR,
		/* 44 */ YY_NO_ANCHOR,
		/* 45 */ YY_NO_ANCHOR,
		/* 46 */ YY_NO_ANCHOR,
		/* 47 */ YY_NO_ANCHOR,
		/* 48 */ YY_NO_ANCHOR,
		/* 49 */ YY_NO_ANCHOR,
		/* 50 */ YY_NO_ANCHOR,
		/* 51 */ YY_NO_ANCHOR,
		/* 52 */ YY_NO_ANCHOR,
		/* 53 */ YY_NO_ANCHOR,
		/* 54 */ YY_NO_ANCHOR,
		/* 55 */ YY_NO_ANCHOR,
		/* 56 */ YY_NO_ANCHOR,
		/* 57 */ YY_NO_ANCHOR,
		/* 58 */ YY_NO_ANCHOR,
		/* 59 */ YY_NO_ANCHOR,
		/* 60 */ YY_NO_ANCHOR,
		/* 61 */ YY_NO_ANCHOR,
		/* 62 */ YY_NO_ANCHOR,
		/* 63 */ YY_NO_ANCHOR,
		/* 64 */ YY_NO_ANCHOR,
		/* 65 */ YY_NO_ANCHOR,
		/* 66 */ YY_NO_ANCHOR,
		/* 67 */ YY_NO_ANCHOR,
		/* 68 */ YY_NO_ANCHOR,
		/* 69 */ YY_NO_ANCHOR,
		/* 70 */ YY_NO_ANCHOR,
		/* 71 */ YY_NO_ANCHOR,
		/* 72 */ YY_NO_ANCHOR,
		/* 73 */ YY_NO_ANCHOR,
		/* 74 */ YY_NO_ANCHOR,
		/* 75 */ YY_NO_ANCHOR,
		/* 76 */ YY_NO_ANCHOR,
		/* 77 */ YY_NO_ANCHOR,
		/* 78 */ YY_NO_ANCHOR,
		/* 79 */ YY_NO_ANCHOR,
		/* 80 */ YY_NO_ANCHOR,
		/* 81 */ YY_NO_ANCHOR,
		/* 82 */ YY_NO_ANCHOR,
		/* 83 */ YY_NO_ANCHOR,
		/* 84 */ YY_NO_ANCHOR,
		/* 85 */ YY_NO_ANCHOR,
		/* 86 */ YY_NO_ANCHOR,
		/* 87 */ YY_NO_ANCHOR,
		/* 88 */ YY_NO_ANCHOR,
		/* 89 */ YY_NO_ANCHOR,
		/* 90 */ YY_NO_ANCHOR,
		/* 91 */ YY_NO_ANCHOR,
		/* 92 */ YY_NO_ANCHOR,
		/* 93 */ YY_NO_ANCHOR,
		/* 94 */ YY_NO_ANCHOR,
		/* 95 */ YY_NO_ANCHOR,
		/* 96 */ YY_NO_ANCHOR,
		/* 97 */ YY_NO_ANCHOR,
		/* 98 */ YY_NO_ANCHOR,
		/* 99 */ YY_NO_ANCHOR,
		/* 100 */ YY_NO_ANCHOR,
		/* 101 */ YY_NO_ANCHOR,
		/* 102 */ YY_NO_ANCHOR,
		/* 103 */ YY_NO_ANCHOR,
		/* 104 */ YY_NO_ANCHOR,
		/* 105 */ YY_NO_ANCHOR,
		/* 106 */ YY_NO_ANCHOR,
		/* 107 */ YY_NO_ANCHOR,
		/* 108 */ YY_NO_ANCHOR,
		/* 109 */ YY_NO_ANCHOR,
		/* 110 */ YY_NO_ANCHOR,
		/* 111 */ YY_NO_ANCHOR,
		/* 112 */ YY_NO_ANCHOR,
		/* 113 */ YY_NO_ANCHOR,
		/* 114 */ YY_NO_ANCHOR,
		/* 115 */ YY_NO_ANCHOR,
		/* 116 */ YY_NO_ANCHOR,
		/* 117 */ YY_NO_ANCHOR,
		/* 118 */ YY_NO_ANCHOR,
		/* 119 */ YY_NO_ANCHOR,
		/* 120 */ YY_NO_ANCHOR,
		/* 121 */ YY_NO_ANCHOR,
		/* 122 */ YY_NO_ANCHOR,
		/* 123 */ YY_NO_ANCHOR,
		/* 124 */ YY_NO_ANCHOR,
		/* 125 */ YY_NO_ANCHOR,
		/* 126 */ YY_NO_ANCHOR,
		/* 127 */ YY_NO_ANCHOR,
		/* 128 */ YY_NO_ANCHOR,
		/* 129 */ YY_NO_ANCHOR,
		/* 130 */ YY_NO_ANCHOR,
		/* 131 */ YY_NO_ANCHOR,
		/* 132 */ YY_NO_ANCHOR,
		/* 133 */ YY_NO_ANCHOR,
		/* 134 */ YY_NO_ANCHOR,
		/* 135 */ YY_NO_ANCHOR,
		/* 136 */ YY_NO_ANCHOR,
		/* 137 */ YY_NO_ANCHOR,
		/* 138 */ YY_NO_ANCHOR,
		/* 139 */ YY_NO_ANCHOR,
		/* 140 */ YY_NO_ANCHOR,
		/* 141 */ YY_NO_ANCHOR,
		/* 142 */ YY_NO_ANCHOR,
		/* 143 */ YY_NO_ANCHOR,
		/* 144 */ YY_NO_ANCHOR,
		/* 145 */ YY_NO_ANCHOR,
		/* 146 */ YY_NO_ANCHOR,
		/* 147 */ YY_NO_ANCHOR,
		/* 148 */ YY_NO_ANCHOR,
		/* 149 */ YY_NO_ANCHOR,
		/* 150 */ YY_NO_ANCHOR,
		/* 151 */ YY_NO_ANCHOR,
		/* 152 */ YY_NO_ANCHOR,
		/* 153 */ YY_NO_ANCHOR,
		/* 154 */ YY_NO_ANCHOR,
		/* 155 */ YY_NO_ANCHOR,
		/* 156 */ YY_NO_ANCHOR,
		/* 157 */ YY_NO_ANCHOR,
		/* 158 */ YY_NO_ANCHOR,
		/* 159 */ YY_NO_ANCHOR,
		/* 160 */ YY_NO_ANCHOR,
		/* 161 */ YY_NO_ANCHOR,
		/* 162 */ YY_NO_ANCHOR,
		/* 163 */ YY_NO_ANCHOR,
		/* 164 */ YY_NO_ANCHOR,
		/* 165 */ YY_NO_ANCHOR,
		/* 166 */ YY_NO_ANCHOR,
		/* 167 */ YY_NO_ANCHOR,
		/* 168 */ YY_NO_ANCHOR,
		/* 169 */ YY_NO_ANCHOR,
		/* 170 */ YY_NO_ANCHOR,
		/* 171 */ YY_NO_ANCHOR,
		/* 172 */ YY_NO_ANCHOR,
		/* 173 */ YY_NO_ANCHOR,
		/* 174 */ YY_NO_ANCHOR,
		/* 175 */ YY_NO_ANCHOR,
		/* 176 */ YY_NO_ANCHOR,
		/* 177 */ YY_NO_ANCHOR,
		/* 178 */ YY_NO_ANCHOR,
		/* 179 */ YY_NO_ANCHOR,
		/* 180 */ YY_NO_ANCHOR,
		/* 181 */ YY_NO_ANCHOR,
		/* 182 */ YY_NO_ANCHOR,
		/* 183 */ YY_NO_ANCHOR,
		/* 184 */ YY_NO_ANCHOR,
		/* 185 */ YY_NO_ANCHOR,
		/* 186 */ YY_NO_ANCHOR,
		/* 187 */ YY_NO_ANCHOR,
		/* 188 */ YY_NO_ANCHOR,
		/* 189 */ YY_NO_ANCHOR,
		/* 190 */ YY_NO_ANCHOR,
		/* 191 */ YY_NO_ANCHOR,
		/* 192 */ YY_NO_ANCHOR,
		/* 193 */ YY_NO_ANCHOR,
		/* 194 */ YY_NO_ANCHOR,
		/* 195 */ YY_NO_ANCHOR,
		/* 196 */ YY_NO_ANCHOR,
		/* 197 */ YY_NO_ANCHOR,
		/* 198 */ YY_NO_ANCHOR,
		/* 199 */ YY_NO_ANCHOR,
		/* 200 */ YY_NO_ANCHOR,
		/* 201 */ YY_NO_ANCHOR,
		/* 202 */ YY_NO_ANCHOR,
		/* 203 */ YY_NO_ANCHOR,
		/* 204 */ YY_NO_ANCHOR,
		/* 205 */ YY_NO_ANCHOR,
		/* 206 */ YY_NO_ANCHOR,
		/* 207 */ YY_NO_ANCHOR,
		/* 208 */ YY_NO_ANCHOR,
		/* 209 */ YY_NO_ANCHOR,
		/* 210 */ YY_NO_ANCHOR,
		/* 211 */ YY_NO_ANCHOR,
		/* 212 */ YY_NO_ANCHOR,
		/* 213 */ YY_NO_ANCHOR,
		/* 214 */ YY_NO_ANCHOR,
		/* 215 */ YY_NO_ANCHOR,
		/* 216 */ YY_NO_ANCHOR,
		/* 217 */ YY_NO_ANCHOR,
		/* 218 */ YY_NO_ANCHOR,
		/* 219 */ YY_NO_ANCHOR,
		/* 220 */ YY_NO_ANCHOR,
		/* 221 */ YY_NO_ANCHOR,
		/* 222 */ YY_NO_ANCHOR,
		/* 223 */ YY_NO_ANCHOR,
		/* 224 */ YY_NO_ANCHOR,
		/* 225 */ YY_NO_ANCHOR,
		/* 226 */ YY_NO_ANCHOR,
		/* 227 */ YY_NO_ANCHOR,
		/* 228 */ YY_NO_ANCHOR,
		/* 229 */ YY_NO_ANCHOR,
		/* 230 */ YY_NO_ANCHOR,
		/* 231 */ YY_NO_ANCHOR,
		/* 232 */ YY_NO_ANCHOR,
		/* 233 */ YY_NO_ANCHOR,
		/* 234 */ YY_NO_ANCHOR,
		/* 235 */ YY_NO_ANCHOR,
		/* 236 */ YY_NO_ANCHOR,
		/* 237 */ YY_NO_ANCHOR,
		/* 238 */ YY_NO_ANCHOR,
		/* 239 */ YY_NO_ANCHOR,
		/* 240 */ YY_NO_ANCHOR,
		/* 241 */ YY_NO_ANCHOR,
		/* 242 */ YY_NO_ANCHOR,
		/* 243 */ YY_NO_ANCHOR,
		/* 244 */ YY_NO_ANCHOR,
		/* 245 */ YY_NO_ANCHOR,
		/* 246 */ YY_NO_ANCHOR,
		/* 247 */ YY_NO_ANCHOR,
		/* 248 */ YY_NO_ANCHOR,
		/* 249 */ YY_NO_ANCHOR,
		/* 250 */ YY_NO_ANCHOR,
		/* 251 */ YY_NO_ANCHOR,
		/* 252 */ YY_NO_ANCHOR,
		/* 253 */ YY_NO_ANCHOR,
		/* 254 */ YY_NO_ANCHOR,
		/* 255 */ YY_NO_ANCHOR,
		/* 256 */ YY_NO_ANCHOR,
		/* 257 */ YY_NO_ANCHOR,
		/* 258 */ YY_NO_ANCHOR,
		/* 259 */ YY_NO_ANCHOR,
		/* 260 */ YY_NO_ANCHOR,
		/* 261 */ YY_NO_ANCHOR,
		/* 262 */ YY_NO_ANCHOR,
		/* 263 */ YY_NO_ANCHOR,
		/* 264 */ YY_NO_ANCHOR,
		/* 265 */ YY_NO_ANCHOR,
		/* 266 */ YY_NO_ANCHOR,
		/* 267 */ YY_NO_ANCHOR,
		/* 268 */ YY_NO_ANCHOR
	};
	private int yy_cmap[] = unpackFromString(1,258,
"11:9,12,1,11:2,12,11:18,12,50,10,62,55,50,11,50,51,52,4,57,50,6,50,8,7,5,9," +
"61:6,56,50:2,11,50,11,50,11,38,28,35,20,13,36,50:2,46,50,58,50,48,37,43,49," +
"58,22,18,33,34,44,26,50:3,2,11,3,11,50,11,21,45,30,25,15,60,42,27,19,50,31," +
"29,47,16,23,40,58,41,32,17,24,14,50,59,39,50,53,11,54,11:130,0:2")[0];

	private int yy_rmap[] = unpackFromString(1,269,
"0,1:4,2,3:2,1,4:7,5,4,6,4:3,7,4,8,4:29,9,1:3,10,11,1:3,12,1,13,12:2,14,12,1" +
"5,16,1,17,1,12,1,18,13,12,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,3" +
"5,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,6" +
"0,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,8" +
"5,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107" +
",108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,12" +
"6,127,128,129,130,131,132,4,133,134,135,136,137,138,139,140,141,142,143,144" +
",145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,11" +
",163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,18" +
"1,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,2" +
"00,201,202,203,204,205")[0];

	private int yy_nxt[][] = unpackFromString(206,63,
"1,70,2,3,4,5,194,224,194:2,6,72,70,240,194:4,245,194,248,194,249,194:3,250," +
"194,251,194:4,252,253,194,254,255,256,194:4,257,258,194:3,259,260,194,72:2," +
"194,72,194:2,72,194:5,-1:68,194,71,194,77,194,-1:3,194:38,-1:2,194,-1,194:2" +
",-1,194:5,-1:2,7:8,8,7:52,-1:5,194:5,-1:3,194:38,-1:2,194,-1,194:2,-1,194:5" +
",-1:5,194:5,-1:3,194:22,233,194:15,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1" +
":3,194:5,143,194,210,194,144,194:10,145,194,267,194:15,-1:2,194,-1,194:2,-1" +
",194:5,-1:5,194:5,-1:3,149,194:19,150,151,194:2,152,194:13,-1:2,194,-1,194:" +
"2,-1,194:5,-1:5,194:5,-1:3,214,194:19,262,263,194:2,153,194:13,-1:2,194,-1," +
"194:2,-1,194:5,1,73,55,56,57,58,59,195,75,225,60:2,73,75:2,196:2,75:4,196:2" +
",75:2,196,75:2,196,75,196:2,75:5,196,75:2,196:3,75:2,196,75:3,196,75,61,62," +
"63,64,78,225,74,196,75,196,225,75,-1:5,225,81,225,268,225,-1:3,75:38,-1:2,7" +
"5,-1,75,225,-1,75:3,225,75,-1:5,225,75,225,75,225,-1:3,75:38,-1:2,75,-1,75," +
"225,-1,75:3,225,75,-1:5,75:5,-1:3,75:38,-1:2,75,-1,75:2,-1,75:5,-1:5,65,75," +
"65,75,65,-1:3,75:38,-1:2,75,-1,75,65,-1,75:3,65,75,-1:5,75:5,-1:3,75:38,-1:" +
"2,75,-1,75:2,76,75:4,79,-1,70,-1:10,70,-1:55,194:2,9,194:2,-1:3,194:38,-1:2" +
",194,-1,194:2,-1,194:5,-1,73,-1:10,73,-1:55,194:4,104,-1:3,194:38,-1:2,194," +
"-1,194:2,-1,194:5,-1:5,10,194:4,-1:3,194:38,-1:2,194,-1,194:2,-1,194:5,-1:5" +
",75:2,66,75:2,-1:3,75:38,-1:2,75,-1,75:2,-1,75:5,-1:5,194:5,-1:3,194:2,203," +
"194:35,-1:2,194,-1,194:2,-1,194:5,-1:5,67,75:4,-1:3,75:38,-1:2,75,-1,75:2,-" +
"1,75:5,-1:5,194:5,-1:3,194:30,11,194:7,-1:2,194,-1,194:2,-1,194:5,-1:5,68,7" +
"5:3,68,-1:3,75:38,-1:2,75,-1,75:2,-1,75:3,68,75,-1:5,194:5,-1:3,194:25,105," +
"194:12,-1:2,194,-1,194:2,-1,194:5,-1:5,75:5,-1:3,75:2,85,75:5,85,75:3,85,75" +
",85,75:2,85,75:11,85,75:2,85,75:5,-1:2,75,-1,75:2,-1,75:2,85,75:2,-1:5,194:" +
"5,-1:3,194:4,106,194:12,228,194:20,-1:2,194,-1,194:2,-1,194:5,-1:5,75:4,69," +
"-1:3,75:38,-1:2,75,-1,75:2,-1,75:5,-1:5,194:5,-1:3,194:8,107,194:29,-1:2,19" +
"4,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:4,108,194:33,-1:2,194,-1,194:2,-1,1" +
"94:5,-1:5,194:5,-1:3,194:32,109,194:5,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5" +
",-1:3,194:19,200,194:18,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:11,2" +
"30,194:26,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:6,111,194:31,-1:2," +
"194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:28,202,194:9,-1:2,194,-1,194:2,-1" +
",194:5,-1:5,194:5,-1:3,194:34,113,194:3,-1:2,194,-1,194:2,-1,194:5,-1:5,194" +
":5,-1:3,194:22,114,194:15,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:24" +
",12,194:13,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:22,13,194:15,-1:2" +
",194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:3,115,194:34,-1:2,194,-1,194:2,-" +
"1,194:5,-1:5,194:5,-1:3,194:12,118,194:25,-1:2,194,-1,194:2,-1,194:5,-1:5,1" +
"94:5,-1:3,194:26,119,194:11,-1:2,194,-1,194:2,-1,194:5,-1:5,194,120,194:3,-" +
"1:3,194:38,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:13,122,194,123,19" +
"4:22,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:21,124,194:16,-1:2,194," +
"-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:29,125,194:8,-1:2,194,-1,194:2,-1,194" +
":5,-1:5,194:5,-1:3,194:2,14,194:35,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1" +
":3,194:31,126,194:6,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:2,15,194" +
":35,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:4,128,194:33,-1:2,194,-1" +
",194:2,-1,194:5,-1:5,194:5,-1:3,194:17,130,194:20,-1:2,194,-1,194:2,-1,194:" +
"5,-1:5,194:5,-1:3,194:2,16,194:35,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:" +
"3,194:7,206,194:12,241,194:17,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,19" +
"4:10,131,194:27,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:3,246,194:34" +
",-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:6,232,194:31,-1:2,194,-1,19" +
"4:2,-1,194:5,-1:5,194:5,-1:3,194:2,17,194:35,-1:2,194,-1,194:2,-1,194:5,-1:" +
"5,194:5,-1:3,194:22,132,194:15,-1:2,194,-1,194:2,-1,194:5,-1:5,133,194:4,-1" +
":3,194:38,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:4,18,194:33,-1:2,1" +
"94,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:14,134,194:23,-1:2,194,-1,194:2,-1" +
",194:5,-1:5,194:5,-1:3,194:16,242,194:21,-1:2,194,-1,194:2,-1,194:5,-1:5,19" +
"4:5,-1:3,194:27,19,194:10,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:2," +
"20,194:35,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:8,135,194:29,-1:2," +
"194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:12,21,194:25,-1:2,194,-1,194:2,-1" +
",194:5,-1:5,194:5,-1:3,194:2,22,194:35,-1:2,194,-1,194:2,-1,194:5,-1:5,194:" +
"5,-1:3,194:12,23,194:25,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:18,2" +
"4,194:19,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:4,139,194:33,-1:2,1" +
"94,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:10,141,194:27,-1:2,194,-1,194:2,-1" +
",194:5,-1:5,194:3,142,194,-1:3,194:38,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5" +
",-1:3,194:6,211,194:31,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:28,14" +
"8,194:9,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:4,25,194:33,-1:2,194" +
",-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:3,234,194:34,-1:2,194,-1,194:2,-1,19" +
"4:5,-1:5,194:5,-1:3,194:34,156,194:3,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5," +
"-1:3,194:8,235,194:29,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:4,213," +
"194:33,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:11,215,194:26,-1:2,19" +
"4,-1,194:2,-1,194:5,-1:5,194:4,26,-1:3,194:38,-1:2,194,-1,194:2,-1,194:5,-1" +
":5,194:5,-1:3,194:27,212,194:10,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3," +
"194:10,159,194:27,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:26,160,194" +
":11,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:17,162,194:20,-1:2,194,-" +
"1,194:2,-1,194:5,-1:5,194:5,-1:3,194:3,27,194:34,-1:2,194,-1,194:2,-1,194:5" +
",-1:5,194:5,-1:3,194:6,163,194:31,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:" +
"3,194:16,164,194:21,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:6,216,19" +
"4:19,217,194:11,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:5,165,194:32" +
",-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:25,28,194:12,-1:2,194,-1,19" +
"4:2,-1,194:5,-1:5,194:5,-1:3,194:25,29,194:12,-1:2,194,-1,194:2,-1,194:5,-1" +
":5,194:5,-1:3,194:3,247,194:34,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,1" +
"94:2,30,194:35,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:2,31,194:35,-" +
"1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:29,32,194:8,-1:2,194,-1,194:2" +
",-1,194:5,-1:5,194:5,-1:3,194:4,170,194:33,-1:2,194,-1,194:2,-1,194:5,-1:5," +
"194:5,-1:3,194:11,220,194:26,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194" +
":27,171,194:10,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:2,33,194:35,-" +
"1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:18,34,194:19,-1:2,194,-1,194:" +
"2,-1,194:5,-1:5,194:5,-1:3,194:8,172,194:29,-1:2,194,-1,194:2,-1,194:5,-1:5" +
",194:5,-1:3,194:10,35,194:27,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194" +
":22,175,194:15,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:10,36,194:27," +
"-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:10,180,194:27,-1:2,194,-1,19" +
"4:2,-1,194:5,-1:5,194:5,-1:3,194:4,37,194:33,-1:2,194,-1,194:2,-1,194:5,-1:" +
"5,194:5,-1:3,194:3,182,194:34,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,19" +
"4:2,38,194:35,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:2,39,194:35,-1" +
":2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:4,265,194:33,-1:2,194,-1,194:2" +
",-1,194:5,-1:5,194:5,-1:3,194:16,184,194:21,-1:2,194,-1,194:2,-1,194:5,-1:5" +
",194:5,-1:3,194:2,40,194:35,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:" +
"23,41,194:14,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:2,42,194:35,-1:" +
"2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:23,43,194:14,-1:2,194,-1,194:2," +
"-1,194:5,-1:5,194:5,-1:3,194:6,186,194:31,-1:2,194,-1,194:2,-1,194:5,-1:5,1" +
"94:5,-1:3,194:28,223,194:9,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:2" +
"8,44,194:9,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:3,45,194:34,-1:2," +
"194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:19,239,194:18,-1:2,194,-1,194:2,-" +
"1,194:5,-1:5,194:5,-1:3,194:12,187,194:25,-1:2,194,-1,194:2,-1,194:5,-1:5,1" +
"94:5,-1:3,194:2,46,194:35,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:2," +
"47,194:35,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:10,189,194:27,-1:2" +
",194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:19,48,194:18,-1:2,194,-1,194:2,-" +
"1,194:5,-1:5,194:5,-1:3,194:28,192,194:9,-1:2,194,-1,194:2,-1,194:5,-1:5,19" +
"4:5,-1:3,194:3,49,194:34,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:16," +
"50,194:21,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:28,51,194:9,-1:2,1" +
"94,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:26,52,194:11,-1:2,194,-1,194:2,-1," +
"194:5,-1:5,194:5,-1:3,194:3,53,194:34,-1:2,194,-1,194:2,-1,194:5,-1:5,225,8" +
"3,225,75,225,-1:3,75:38,-1:2,75,-1,75,225,-1,75:3,225,75,-1:5,75:5,-1:3,75:" +
"2,85,75:5,85,75:3,85,75,85,75:2,85,75:11,85,75:2,85,75:5,-1:2,75,-1,75:2,-1" +
",75,87,85,75:2,-1:5,194:5,-1:3,194:2,116,194:35,-1:2,194,-1,194:2,-1,194:5," +
"-1:5,194:5,-1:3,194:8,229,194:29,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3" +
",194:4,110,194:33,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:11,205,194" +
":26,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:28,117,194:9,-1:2,194,-1" +
",194:2,-1,194:5,-1:5,194:5,-1:3,194:34,231,194:3,-1:2,194,-1,194:2,-1,194:5" +
",-1:5,194:5,-1:3,194:3,121,194:34,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:" +
"3,194:6,208,194:31,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:16,136,19" +
"4:21,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:8,207,194:29,-1:2,194,-" +
"1,194:2,-1,194:5,-1:5,194:5,-1:3,194:4,155,194:33,-1:2,194,-1,194:2,-1,194:" +
"5,-1:5,194:5,-1:3,194:10,147,194:27,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-" +
"1:3,194:3,157,194:34,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:8,158,1" +
"94:29,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:4,161,194:33,-1:2,194," +
"-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:10,169,194:27,-1:2,194,-1,194:2,-1,19" +
"4:5,-1:5,194:5,-1:3,194:6,219,194:31,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5," +
"-1:3,194:16,166,194:21,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:3,168" +
",194:34,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:4,173,194:33,-1:2,19" +
"4,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:27,174,194:10,-1:2,194,-1,194:2,-1," +
"194:5,-1:5,194:5,-1:3,194:22,177,194:15,-1:2,194,-1,194:2,-1,194:5,-1:5,194" +
":5,-1:3,194:10,181,194:27,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:3," +
"183,194:34,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:4,188,194:33,-1:2" +
",194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:16,185,194:21,-1:2,194,-1,194:2," +
"-1,194:5,-1:5,194:5,-1:3,194:10,190,194:27,-1:2,194,-1,194:2,-1,194:5,-1:5," +
"194,80,194:3,-1:3,194:38,-1:2,194,-1,194:2,-1,194:5,-1:5,75:3,89,75,-1:3,75" +
":38,-1:2,75,-1,75:2,-1,75:5,-1:5,194:5,-1:3,194:8,112,194:29,-1:2,194,-1,19" +
"4:2,-1,194:5,-1:5,194:5,-1:3,194:4,204,194:33,-1:2,194,-1,194:2,-1,194:5,-1" +
":5,194:5,-1:3,194:28,129,194:9,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,1" +
"94:3,127,194:34,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:6,137,194:31" +
",-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:8,140,194:29,-1:2,194,-1,19" +
"4:2,-1,194:5,-1:5,194:5,-1:3,194:10,154,194:27,-1:2,194,-1,194:2,-1,194:5,-" +
"1:5,194:5,-1:3,194:8,243,194:29,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3," +
"194:4,167,194:33,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:4,222,194:3" +
"3,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:27,176,194:10,-1:2,194,-1," +
"194:2,-1,194:5,-1:5,194:5,-1:3,194:3,221,194:34,-1:2,194,-1,194:2,-1,194:5," +
"-1:5,194:5,-1:3,194:10,191,194:27,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:" +
"3,194,82,194:20,84,194:12,86,194:2,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1" +
":3,194:6,138,194:31,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:8,146,19" +
"4:29,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:4,178,194:33,-1:2,194,-" +
"1,194:2,-1,194:5,-1:5,194:5,-1:3,194:10,193,194:27,-1:2,194,-1,194:2,-1,194" +
":5,-1:5,194:5,-1:3,194:2,88,194,90,194,91,194:4,92,194:26,-1:2,194,-1,194:2" +
",-1,194:5,-1:5,194:5,-1:3,194:6,209,194:31,-1:2,194,-1,194:2,-1,194:5,-1:5," +
"194:5,-1:3,194:4,179,194:33,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:" +
"8,199,194:29,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:2,93,194:7,94,1" +
"94:27,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:14,95,194:23,-1:2,194," +
"-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:10,198,194:5,227,194:21,-1:2,194,-1,1" +
"94:2,-1,194:5,-1:5,194:5,-1:3,194:2,96,194:3,97,194:31,-1:2,194,-1,194:2,-1" +
",194:5,-1:5,194:5,-1:3,194:20,98,194:17,-1:2,194,-1,194:2,-1,194:5,-1:5,194" +
":5,-1:3,99,194:37,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:33,100,194" +
":4,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:3,101,194:34,-1:2,194,-1," +
"194:2,-1,194:5,-1:5,194:5,-1:3,194:27,197,194:10,-1:2,194,-1,194:2,-1,194:5" +
",-1:5,194:5,-1:3,194:8,201,194:29,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:" +
"3,194:10,102,194:27,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:16,103,1" +
"94:21,-1:2,194,-1,194:2,-1,194:5,-1:5,226,75:4,-1:3,75:38,-1:2,75,-1,75:2,-" +
"1,75:5,-1:5,194:5,-1:3,194:6,236,194:19,237,194:11,-1:2,194,-1,194:2,-1,194" +
":5,-1:5,194:5,-1:3,194:5,218,194:32,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-" +
"1:3,194:11,238,194:26,-1:2,194,-1,194:2,-1,194:5,-1:5,194:5,-1:3,194:6,244," +
"194:31,-1:2,194,-1,194:2,-1,194:5,-1:5,75,261,75:3,-1:3,75:38,-1:2,75,-1,75" +
":2,-1,75:5,-1:5,194:5,-1:3,194:10,264,194:27,-1:2,194,-1,194:2,-1,194:5,-1:" +
"5,75:4,266,-1:3,75:38,-1:2,75,-1,75:2,-1,75:5");

	public java_cup.runtime.Symbol next_token ()
		throws java.io.IOException {
		int yy_lookahead;
		int yy_anchor = YY_NO_ANCHOR;
		int yy_state = yy_state_dtrans[yy_lexical_state];
		int yy_next_state = YY_NO_STATE;
		int yy_last_accept_state = YY_NO_STATE;
		boolean yy_initial = true;
		int yy_this_accept;

		yy_mark_start();
		yy_this_accept = yy_acpt[yy_state];
		if (YY_NOT_ACCEPT != yy_this_accept) {
			yy_last_accept_state = yy_state;
			yy_mark_end();
		}
		while (true) {
			if (yy_initial && yy_at_bol) yy_lookahead = YY_BOL;
			else yy_lookahead = yy_advance();
			yy_next_state = YY_F;
			yy_next_state = yy_nxt[yy_rmap[yy_state]][yy_cmap[yy_lookahead]];
			if (YY_EOF == yy_lookahead && true == yy_initial) {
				return null;
			}
			if (YY_F != yy_next_state) {
				yy_state = yy_next_state;
				yy_initial = false;
				yy_this_accept = yy_acpt[yy_state];
				if (YY_NOT_ACCEPT != yy_this_accept) {
					yy_last_accept_state = yy_state;
					yy_mark_end();
				}
			}
			else {
				if (YY_NO_STATE == yy_last_accept_state) {
					throw (new Error("Lexical Error: Unmatched Input."));
				}
				else {
					yy_anchor = yy_acpt[yy_last_accept_state];
					if (0 != (YY_END & yy_anchor)) {
						yy_move_end();
					}
					yy_to_mark();
					switch (yy_last_accept_state) {
					case 0:
						{ /* ignorar blancos */
                        }
					case -2:
						break;
					case 1:
						
					case -3:
						break;
					case 2:
						{ 
                    return new Symbol(sym.TK_CORCHETE_ABRIR);
                    }
					case -4:
						break;
					case 3:
						{ 
                    return new Symbol(sym.TK_CORCHETE_CERRAR);
                    }
					case -5:
						break;
					case 4:
						{
                    yybegin (YYINITIAL);
                    return new Symbol(sym.TK_ASTERISCO);
                    }
					case -6:
						break;
					case 5:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -7:
						break;
					case 6:
						{
                    int line = yyline+1;
                    System.out.println("Error lexico en linea " + line + " - " + "Simbolo desconocido en YYINITIAL: " + yytext());
                    }
					case -8:
						break;
					case 8:
						{ 
                            return new Symbol(sym.TK_CADENASTRING, new String(yytext().replaceAll("\"", "")));
                            }
					case -9:
						break;
					case 9:
						{
                    return new Symbol(sym.TK_WIN);
                    }
					case -10:
						break;
					case 10:
						{
                    return new Symbol(sym.TK_LOST);
                    }
					case -11:
						break;
					case 11:
						{ return new Symbol(sym.TK_ECO);            }
					case -12:
						break;
					case 12:
						{ return new Symbol(sym.TK_FEN);            }
					case -13:
						break;
					case 13:
						{ return new Symbol(sym.TK_NIC);            }
					case -14:
						break;
					case 14:
						{ return new Symbol(sym.TK_SITE);           }
					case -15:
						break;
					case 15:
						{ return new Symbol(sym.TK_DATE);           }
					case -16:
						break;
					case 16:
						{ return new Symbol(sym.TK_TIME);           }
					case -17:
						break;
					case 17:
						{ return new Symbol(sym.TK_MODE);           }
					case -18:
						break;
					case 18:
						{ return new Symbol(sym.TK_EVENT);          }
					case -19:
						break;
					case 19:
						{ return new Symbol(sym.TK_SETUP);          }
					case -20:
						break;
					case 20:
						{ return new Symbol(sym.TK_STAGE);          }
					case -21:
						break;
					case 21:
						{ return new Symbol(sym.TK_ROUND);          }
					case -22:
						break;
					case 22:
						{ return new Symbol(sym.TK_WHITE);          }
					case -23:
						break;
					case 23:
						{ return new Symbol(sym.TK_BOARD);          }
					case -24:
						break;
					case 24:
						{ return new Symbol(sym.TK_BLACK);          }
					case -25:
						break;
					case 25:
						{ return new Symbol(sym.TK_RESULT);         }
					case -26:
						break;
					case 26:
						{
                    return new Symbol(sym.TK_DRAW);
                    }
					case -27:
						break;
					case 27:
						{ return new Symbol(sym.TK_SECTION);        }
					case -28:
						break;
					case 28:
						{ return new Symbol(sym.TK_WHITENA);        }
					case -29:
						break;
					case 29:
						{ return new Symbol(sym.TK_BLACKNA);        }
					case -30:
						break;
					case 30:
						{ return new Symbol(sym.TK_UTCDATE);        }
					case -31:
						break;
					case 31:
						{ return new Symbol(sym.TK_UTCTIME);        }
					case -32:
						break;
					case 32:
						{ return new Symbol(sym.TK_OPENING);        }
					case -33:
						break;
					case 33:
						{ return new Symbol(sym.TK_EMAWHITE);       }
					case -34:
						break;
					case 34:
						{ return new Symbol(sym.TK_EMABLACK);       }
					case -35:
						break;
					case 35:
						{ return new Symbol(sym.TK_WHITEELO);       }
					case -36:
						break;
					case 36:
						{ return new Symbol(sym.TK_BLACKELO);       }
					case -37:
						break;
					case 37:
						{ return new Symbol(sym.TK_PLYCOUNT);       }
					case -38:
						break;
					case 38:
						{ return new Symbol(sym.TK_EVENTDATE);      }
					case -39:
						break;
					case 39:
						{ return new Symbol(sym.TK_EVENTTYPE);      }
					case -40:
						break;
					case 40:
						{ return new Symbol(sym.TK_WHITETYPE);      }
					case -41:
						break;
					case 41:
						{ return new Symbol(sym.TK_WHITEUSCF);      }
					case -42:
						break;
					case 42:
						{ return new Symbol(sym.TK_BLACKTYPE);      }
					case -43:
						break;
					case 43:
						{ return new Symbol(sym.TK_BLACKUSCF);      }
					case -44:
						break;
					case 44:
						{ return new Symbol(sym.TK_ANNOTATOR);      }
					case -45:
						break;
					case 45:
						{ return new Symbol(sym.TK_VARIATION);      }
					case -46:
						break;
					case 46:
						{ return new Symbol(sym.TK_WHITETITLE);     }
					case -47:
						break;
					case 47:
						{ return new Symbol(sym.TK_BLACKTITLE);     }
					case -48:
						break;
					case 48:
						{ return new Symbol(sym.TK_EVENTROUNDS);    }
					case -49:
						break;
					case 49:
						{ return new Symbol(sym.TK_TERMINATION);    }
					case -50:
						break;
					case 50:
						{ return new Symbol(sym.TK_TIMECONTROL);    }
					case -51:
						break;
					case 51:
						{ return new Symbol(sym.TK_EVENTSPONSOR);   }
					case -52:
						break;
					case 52:
						{ return new Symbol(sym.TK_EVENTCOUNTRY);   }
					case -53:
						break;
					case 53:
						{ return new Symbol(sym.TK_SUBVARIATION);   }
					case -54:
						break;
					case 54:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -55:
						break;
					case 55:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -56:
						break;
					case 56:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -57:
						break;
					case 57:
						{
                    yybegin (YYINITIAL);
                    return new Symbol(sym.TK_ASTERISCO);
                    }
					case -58:
						break;
					case 58:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -59:
						break;
					case 59:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -60:
						break;
					case 60:
						{
                    int line = yyline+1;
                    System.out.println("Error lexico en linea " + line + " - " + "Simbolo desconocido en MOVE: " + yytext());
                    }
					case -61:
						break;
					case 61:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -62:
						break;
					case 62:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -63:
						break;
					case 63:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -64:
						break;
					case 64:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -65:
						break;
					case 65:
						{
                    return new Symbol(sym.TK_NAG, new String(yytext()));
                    }
					case -66:
						break;
					case 66:
						{
                    yybegin (YYINITIAL);
                    return new Symbol(sym.TK_WIN);
                    }
					case -67:
						break;
					case 67:
						{
                    yybegin (YYINITIAL);
                    return new Symbol(sym.TK_LOST);
                    }
					case -68:
						break;
					case 68:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -69:
						break;
					case 69:
						{
                    yybegin (YYINITIAL);
                    return new Symbol(sym.TK_DRAW);
                    }
					case -70:
						break;
					case 70:
						{ /* ignorar blancos */
                        }
					case -71:
						break;
					case 71:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -72:
						break;
					case 72:
						{
                    int line = yyline+1;
                    System.out.println("Error lexico en linea " + line + " - " + "Simbolo desconocido en YYINITIAL: " + yytext());
                    }
					case -73:
						break;
					case 73:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -74:
						break;
					case 74:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -75:
						break;
					case 75:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -76:
						break;
					case 76:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -77:
						break;
					case 77:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -78:
						break;
					case 78:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -79:
						break;
					case 79:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -80:
						break;
					case 80:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -81:
						break;
					case 81:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -82:
						break;
					case 82:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -83:
						break;
					case 83:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -84:
						break;
					case 84:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -85:
						break;
					case 85:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -86:
						break;
					case 86:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -87:
						break;
					case 87:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -88:
						break;
					case 88:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -89:
						break;
					case 89:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -90:
						break;
					case 90:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -91:
						break;
					case 91:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -92:
						break;
					case 92:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -93:
						break;
					case 93:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -94:
						break;
					case 94:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -95:
						break;
					case 95:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -96:
						break;
					case 96:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -97:
						break;
					case 97:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -98:
						break;
					case 98:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -99:
						break;
					case 99:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -100:
						break;
					case 100:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -101:
						break;
					case 101:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -102:
						break;
					case 102:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -103:
						break;
					case 103:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -104:
						break;
					case 104:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -105:
						break;
					case 105:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -106:
						break;
					case 106:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -107:
						break;
					case 107:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -108:
						break;
					case 108:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -109:
						break;
					case 109:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -110:
						break;
					case 110:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -111:
						break;
					case 111:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -112:
						break;
					case 112:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -113:
						break;
					case 113:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -114:
						break;
					case 114:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -115:
						break;
					case 115:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -116:
						break;
					case 116:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -117:
						break;
					case 117:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -118:
						break;
					case 118:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -119:
						break;
					case 119:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -120:
						break;
					case 120:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -121:
						break;
					case 121:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -122:
						break;
					case 122:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -123:
						break;
					case 123:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -124:
						break;
					case 124:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -125:
						break;
					case 125:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -126:
						break;
					case 126:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -127:
						break;
					case 127:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -128:
						break;
					case 128:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -129:
						break;
					case 129:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -130:
						break;
					case 130:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -131:
						break;
					case 131:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -132:
						break;
					case 132:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -133:
						break;
					case 133:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -134:
						break;
					case 134:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -135:
						break;
					case 135:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -136:
						break;
					case 136:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -137:
						break;
					case 137:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -138:
						break;
					case 138:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -139:
						break;
					case 139:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -140:
						break;
					case 140:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -141:
						break;
					case 141:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -142:
						break;
					case 142:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -143:
						break;
					case 143:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -144:
						break;
					case 144:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -145:
						break;
					case 145:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -146:
						break;
					case 146:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -147:
						break;
					case 147:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -148:
						break;
					case 148:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -149:
						break;
					case 149:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -150:
						break;
					case 150:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -151:
						break;
					case 151:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -152:
						break;
					case 152:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -153:
						break;
					case 153:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -154:
						break;
					case 154:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -155:
						break;
					case 155:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -156:
						break;
					case 156:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -157:
						break;
					case 157:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -158:
						break;
					case 158:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -159:
						break;
					case 159:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -160:
						break;
					case 160:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -161:
						break;
					case 161:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -162:
						break;
					case 162:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -163:
						break;
					case 163:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -164:
						break;
					case 164:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -165:
						break;
					case 165:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -166:
						break;
					case 166:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -167:
						break;
					case 167:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -168:
						break;
					case 168:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -169:
						break;
					case 169:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -170:
						break;
					case 170:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -171:
						break;
					case 171:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -172:
						break;
					case 172:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -173:
						break;
					case 173:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -174:
						break;
					case 174:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -175:
						break;
					case 175:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -176:
						break;
					case 176:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -177:
						break;
					case 177:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -178:
						break;
					case 178:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -179:
						break;
					case 179:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -180:
						break;
					case 180:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -181:
						break;
					case 181:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -182:
						break;
					case 182:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -183:
						break;
					case 183:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -184:
						break;
					case 184:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -185:
						break;
					case 185:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -186:
						break;
					case 186:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -187:
						break;
					case 187:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -188:
						break;
					case 188:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -189:
						break;
					case 189:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -190:
						break;
					case 190:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -191:
						break;
					case 191:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -192:
						break;
					case 192:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -193:
						break;
					case 193:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -194:
						break;
					case 194:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -195:
						break;
					case 195:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -196:
						break;
					case 196:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -197:
						break;
					case 197:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -198:
						break;
					case 198:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -199:
						break;
					case 199:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -200:
						break;
					case 200:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -201:
						break;
					case 201:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -202:
						break;
					case 202:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -203:
						break;
					case 203:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -204:
						break;
					case 204:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -205:
						break;
					case 205:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -206:
						break;
					case 206:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -207:
						break;
					case 207:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -208:
						break;
					case 208:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -209:
						break;
					case 209:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -210:
						break;
					case 210:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -211:
						break;
					case 211:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -212:
						break;
					case 212:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -213:
						break;
					case 213:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -214:
						break;
					case 214:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -215:
						break;
					case 215:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -216:
						break;
					case 216:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -217:
						break;
					case 217:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -218:
						break;
					case 218:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -219:
						break;
					case 219:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -220:
						break;
					case 220:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -221:
						break;
					case 221:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -222:
						break;
					case 222:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -223:
						break;
					case 223:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -224:
						break;
					case 224:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -225:
						break;
					case 225:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -226:
						break;
					case 226:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -227:
						break;
					case 227:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -228:
						break;
					case 228:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -229:
						break;
					case 229:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -230:
						break;
					case 230:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -231:
						break;
					case 231:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -232:
						break;
					case 232:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -233:
						break;
					case 233:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -234:
						break;
					case 234:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -235:
						break;
					case 235:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -236:
						break;
					case 236:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -237:
						break;
					case 237:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -238:
						break;
					case 238:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -239:
						break;
					case 239:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -240:
						break;
					case 240:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -241:
						break;
					case 241:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -242:
						break;
					case 242:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -243:
						break;
					case 243:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -244:
						break;
					case 244:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -245:
						break;
					case 245:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -246:
						break;
					case 246:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -247:
						break;
					case 247:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -248:
						break;
					case 248:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -249:
						break;
					case 249:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -250:
						break;
					case 250:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -251:
						break;
					case 251:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -252:
						break;
					case 252:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -253:
						break;
					case 253:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -254:
						break;
					case 254:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -255:
						break;
					case 255:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -256:
						break;
					case 256:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -257:
						break;
					case 257:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -258:
						break;
					case 258:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -259:
						break;
					case 259:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -260:
						break;
					case 260:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -261:
						break;
					case 261:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -262:
						break;
					case 262:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -263:
						break;
					case 263:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -264:
						break;
					case 264:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -265:
						break;
					case 265:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -266:
						break;
					case 266:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -267:
						break;
					case 267:
						{ yybegin (MOVE);
                    return new Symbol(sym.TK_STRING, new String(yytext())); }
					case -268:
						break;
					case 268:
						{
                    return new Symbol(sym.TK_STRING, new String(yytext()));
                    }
					case -269:
						break;
					default:
						yy_error(YY_E_INTERNAL,false);
					case -1:
					}
					yy_initial = true;
					yy_state = yy_state_dtrans[yy_lexical_state];
					yy_next_state = YY_NO_STATE;
					yy_last_accept_state = YY_NO_STATE;
					yy_mark_start();
					yy_this_accept = yy_acpt[yy_state];
					if (YY_NOT_ACCEPT != yy_this_accept) {
						yy_last_accept_state = yy_state;
						yy_mark_end();
					}
				}
			}
		}
	}
}
